%define beta 11

Name: hddtemp
Version: 0.3
Release: alt1.%beta

Epoch: %(date +%%Y%%m%%d)

Summary: Hard Drive Temperature Monitoring
License: GPL
Group: Monitoring

%define fullver %version-beta%beta

Url: http://coredump.free.fr/linux/hddtemp.php
Source0: http://coredump.free.fr/linux/%name-%fullver.tar.gz
Source1: http://coredump.free.fr/linux/hddtemp.db
Source2: %name.control
Source3: %name.init
Source4: %name.sysconfig

Summary(ru_RU.KOI8-R):    
Summary(uk_UA.KOI8-U):    ˦

%define pathsubst 's,"/etc/hddtemp.db","%_datadir/misc/hddtemp.db",g'

# Automatically added by buildreq on Sun Jan 04 2004
BuildRequires: hostinfo

%description
hddtemp is a tool that tells you the temperature of your hard drive by
reading S.M.A.R.T. information.  Only modern drives (both IDE and SCSI)
can have a temperature sensor.

%description -l ru_RU.KOI8-R
hddtemp --       
 S.M.A.R.T.     ( IDE,   SCSI)
   .

%description -l uk_UA.KOI8-U
hddtemp -- ̦     ˦ 
æ S.M.A.R.T.   Φ  (IDE  SCSI)  
 .

%prep
%setup -q -n %name-%fullver
%__subst %pathsubst $RPM_BUILD_DIR/%name-%fullver/src/db.h
%__subst %pathsubst $RPM_BUILD_DIR/%name-%fullver/doc/hddtemp.1

%build
unset CC CXX
%configure
%make_build

%install
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/misc/%name.db
%__install -pD -m755 %SOURCE2 %buildroot%_controldir/%name
%__install -pD -m755 %SOURCE3 %buildroot%_initdir/%name
%__install -pD -m755 %SOURCE4 %buildroot%_sysconfdir/sysconfig/%name
%__install -d %buildroot%_man1dir
%makeinstall 
%find_lang %name

# for 03C (01/01/2004)
echo '"WDC WD1600JB-00DUA3"          0   C "Western Digital 160GB Special Edition 8MB"' >> %buildroot%_datadir/misc/%name.db

%pre
%pre_control %name

%post
%post_service %name
%post_control -s wheelonly %name

%preun
%preun_service %name

%files -f %name.lang
%doc README TODO contribs
%_sbindir/%name
%_initdir/%name
%_man1dir/*
%_datadir/misc/%name.db
%config(noreplace) %_sysconfdir/control.d/facilities/%name
%config(noreplace) %_sysconfdir/sysconfig/%name

# TODO:
# - find someone to do privsep/chroot on hddtemp?

%changelog
* Sun Jan 04 2004 Michael Shigorin <mike@altlinux.ru> 20040104:0.3-alt1.11
- beta11
- moved to control(8) rpm macros
- removed superfluous groupadd netadmin %%)
- implemented initscript (based on debian's) (127.0.0.1:7634)
- spec cleanup

* Sun Nov 02 2003 Michael Shigorin <mike@altlinux.ru> 20031102:0.3-alt0.84
- added WD1600JB-00DUA3 info (thanks vvzhy@ again)

* Tue Oct 28 2003 Michael Shigorin <mike@altlinux.ru> 20031028:0.3-alt0.83
- *do* apply patch for WD1600JB-00EVA0 support;
  thanks Vadim V. Zhytnikov (vvzhy@)

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.82
- added WD1600JB-00EVA0; thanks to Mikhail Yakshin (greycat@)

* Mon Sep 22 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.81
- added ST3120026A to hddtemp.db; thanks to Vitaly Lipatov (lav@)

* Wed Aug 13 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.8
- 0.3beta8
- po files included as i18n support got fixed
- tiny spec cleanup

* Thu Jul 03 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.7
- 0.3beta7
- updated %%url
- patches merged into upstream
- spec change due to upstream autoconf'izing (+cleanup)

* Thu Apr 17 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.6
- 0.3beta6

* Fri Mar 14 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.31
- hddtemp.db entry for "Maxtor DiamondMax 16" from Andrey Brindeew <abr>

* Sat Mar 08 2003 Michael Shigorin <mike@altlinux.ru> 0.3-alt0.3
- built for ALT Linux (0.3-beta3)
- moved hddtemp.db to %_datadir/misc
- control support instead of plain suid binary

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.3-0.beta3.1mdk
- initial contrib from Ben Reser

* Fri Jan 24 2003 Ben Reser <ben@reser.org> 0.3-0.beta3.1brs
- 0.3-beta3
